/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/

#if !defined(AFX_LEFTPANE_H__4017508F_3E0F_44F0_B769_699689C183EF__INCLUDED_)
#define AFX_LEFTPANE_H__4017508F_3E0F_44F0_B769_699689C183EF__INCLUDED_

/* Use the image list identifier to identify the node type */
#define NODE_CLIENTDEV		0
#define NODE_SERVERDEV		1
#define NODE_CDEV			2
#define NODE_SDEV			3
#define NODE_TEST			4
#define NODE_ACCOUNTS		5
#define NODE_CONREF			6
#define NODE_COMMANDS		7
#define NODE_CDEVTREE		8
#define NODE_SDEVTREE		9
#define NODE_COUNT			10



#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LeftPane.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CLeftPane dialog
class CLeftPane : public CDialog
{
// Construction
public:
	CLeftPane(CWnd* pParent = NULL);   // standard constructor
	double paneRatio;
	CImageList imgList;
	CImageList sessionImgList;
	void ClearPanes();
	HTREEITEM serverDevices,clientDevices;

// Dialog Data
	//{{AFX_DATA(CLeftPane)
	enum { IDD = IDD_LEFTPANE };
	CTreeCtrl	m_sessionTree;
	CTreeCtrl	m_accountTree;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLeftPane)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CLeftPane)
	virtual BOOL OnInitDialog();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSelchangedAccounttree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangingAccounttree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDestroy();
	afx_msg void OnSelchangingSessiontree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangedSessiontree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDeleteitemSessiontree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeleteitemAccounttree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnNotifySendnotification();
	afx_msg void OnNotifyMakenotifiable();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LEFTPANE_H__4017508F_3E0F_44F0_B769_699689C183EF__INCLUDED_)
